#pragma once

#include "Widget.h"
#include <vector>

class HorizontalSpacer : public Widget
{
    std::vector<double> mScales;

public:
    HorizontalSpacer();

    static std::unique_ptr<HorizontalSpacer> Create();

    void AddWidget(WidgetUPtr widget) override;

    void AddWidgetWithScale(WidgetUPtr widget, double scale);

    void AddChildLayers(const PaintEvent* event) override;

    void OnPaintEvent(const PaintEvent* event) override;
};

using HorizontalSpacerUPtr = std::unique_ptr<HorizontalSpacer>;
